# $Revision: 1.37 $, $Date: 2008/07/27 22:22:09 $
Summary:	Scheme interpreter from U of Massachusetts at Boston
Summary(de.UTF-8):	Scheme-Interpretierer von der Massachusetts-Uni in Boston
Summary(es.UTF-8):	Interpretador de esquema de la Universidad de Massachusetts en Boston
Summary(fr.UTF-8):	Interpréteur Scheme de l'université du Massachusetts de Boston
Summary(ja.UTF-8):	Scheme プログラミング言語の実装
Summary(pl.UTF-8):	Interprter Scheme z uniwersytetu Massachusetts w Bostonie
Summary(pt_BR.UTF-8):	Interpretador de esquema da Universidade de Massachusetts em Boston
Summary(tr.UTF-8):	UMB Scheme yorumlayıcısı
Name:		umb-scheme
Version:	3.2
Release:	26
License:	GPL
Group:		Development/Languages
Source0:	ftp://ftp.cs.umb.edu/pub/scheme/%{name}-%{version}.tar.Z
# Source0-md5:	dca1a603c32fab21aed6b769b02a3f82
Patch0:		%{name}-misc.patch
Patch1:		%{name}-texinfo.patch
Patch2:		%{name}-config.patch
Patch3:		%{name}-man.patch
Patch4:		%{name}-info.patch
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
UMB Scheme is an implementation of the language described in the IEEE
Standard for the Scheme Programming Language (December, 1990).

%description -l de.UTF-8
UMB-Scheme ist eine Implementierung der im IEEE-Standard für die
Scheme-Programmiersprache (Dez. 1990) festgelegte Sprache.

%description -l es.UTF-8
UMB Scheme es una implementación al lenguaje descrito en el padrón
IEEE para el lenguaje de programación Scheme (Diciembre de 1990).

%description -l fr.UTF-8
UMB Scheme est une implémentation du langage dans le standard IEEE
pour la programation en langage Scheme (Décembre 1990).

%description -l pl.UTF-8
UMB Scheme jest implementacją języka opisanego w dokumencie: "IEEE
Standard for the Scheme Programming Language (December, 1990)".

%description -l pt_BR.UTF-8
UMB Scheme é uma implementação da linguagem descrita no padrão IEEE
para a linguagem de programação Scheme (Dezembro de 1990).

%description -l tr.UTF-8
UMB Scheme, IEEE Scheme Programlama Dili Standardı'nda (Aralık, 1990)
tanımlanan dilin bir gerçeklemesidir.

%prep
%setup -q -n scheme-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__make} RPM_OPT_FLAGS="%{rpmcflags}"
makeinfo scheme.texinfo

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_infodir},%{_libdir}/umb-scheme/slib,%{_mandir}/man1}

install scheme $RPM_BUILD_ROOT%{_bindir}/umb-scheme
install scheme.1 $RPM_BUILD_ROOT%{_mandir}/man1/umb-scheme.1

install slib/*.{scm,init} $RPM_BUILD_ROOT%{_libdir}/umb-scheme/slib
install prelude.scheme $RPM_BUILD_ROOT%{_libdir}/umb-scheme
install SLIB-for-umb-scheme.init $RPM_BUILD_ROOT%{_libdir}/umb-scheme

install scheme.info $RPM_BUILD_ROOT%{_infodir}/umb-scheme.info

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc slib/ANNOUNCE slib/FAQ slib/README
%attr(755,root,root) %{_bindir}/umb-scheme
%{_libdir}/umb-scheme
%{_mandir}/man1/*
%{_infodir}/umb-scheme.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: umb-scheme.spec,v $
Revision 1.37  2008/07/27 22:22:09  arekm
- release 26

Revision 1.36  2008-01-24 01:23:02  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.35  2007-02-12 22:09:18  glen
- tabs in preamble

Revision 1.34  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.33  2006/05/15 08:45:46  ankry
- convert broken SJIS to EUC-JP

Revision 1.32  2006/05/14 19:00:59  pluto
- release 25 for rebuild amd64 -> x86_64.

Revision 1.31  2004/12/20 18:58:09  qboosh
- BR: texinfo

Revision 1.30  2003/11/24 12:09:49  averne
- updated release

Revision 1.29  2003/05/27 12:19:10  trojan
- added Source-md5

Revision 1.28  2003/05/25 06:27:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2002/11/30 23:00:29  juandon
- new %%doc

Revision 1.26  2002/03/03 18:10:33  marcus
- rel.23.

Revision 1.25  2002/02/23 04:55:17  kloczek
- adapterized.

Revision 1.24  2002/02/22 23:29:50  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/01/18 02:15:15  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/12/15 16:05:02  kloczek
- release 22: merge translations from Conectiva and Kondara.

Revision 1.21  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.19  2001/07/23 16:28:05  qboosh
- adapterized, use rpm automation
- release 18

Revision 1.18  2000/09/08 04:22:25  kloczek
- release 17,
- spec adapterized.

Revision 1.17  2000/06/09 07:55:12  kloczek
- more %%{__make} macros.

Revision 1.16  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.15  2000/05/01 20:11:42  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.14  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.12  1999/09/11 23:28:02  kloczek
- release 12,
- added "Prereq: /usr/sbin/fix-info-dir",
- {un}register info pages with using /usr/sbin/fix-info-dir,
- unregistering info must be in %postun (not %preun}.

Revision 1.11  1999/07/12 23:06:16  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jun 21 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [3.2-11]
- based on RH spec,
- spec rewrited by PLD team,
- pl translation by Wojtek Ślusarczyk <wojtek@shadow.eu.org>.
